paec.h File Reference
`#include <ptclib/qchannel.h>`

Go to the source code of this file.

## Classes

class | PAec

## Functions

| PQUEUE (ReceiveTimeQueue, PTimeInterval)
| This class implements Acoustic Echo Cancellation The principal is to copy to a buffer incoming audio. More...

## Function Documentation

PQUEUE | ( | ReceiveTimeQueue | ,
|  | PTimeInterval |
| ) |  |

This class implements Acoustic Echo Cancellation The principal is to copy to a buffer incoming audio.

after it has been decoded and when recording the audio to remove the echo pattern from the incoming audio prior to sending to the enooder..